<div class="map-view-popup style-2">
    <div class="close"><span class="stt-icon stt-icon-close"></span></div>
    <?php
    $map_icon = st_get_map_marker_icon( 'st_hotel', 'large' );
    $data_map = st_encode_single_item_map_data( $post_id, [ 'icon' => $map_icon ] );
    $google_api_key = st()->get_option( 'st_googlemap_enabled' );
    if ( $google_api_key === 'on' ) {
        ?>
        <div id="list_map" class="map-full-height" data-disablecontrol="true" data-showcustomcontrol="true"
            data-data_show='<?php echo str_ireplace( [ "'" ], '\"', $data_map ); ?>'
            data-lat="<?php echo esc_attr( trim( $lat ) ); ?>"
            data-lng="<?php echo esc_attr( trim( $lng ) ); ?>"
            data-icon="<?php echo esc_url( $map_icon ); ?>"
            data-zoom="<?php echo (int) $zoom; ?>"
            data-style="normal">
        </div>
        <?php
    } else {
        ?>
        <div class="st-map-box map-full-height" data-disablecontrol="true" data-showcustomcontrol="true">
            <div class="google-map-mapbox"
                data-lat="<?php echo esc_attr( trim( $lat ) ); ?>"
                data-lng="<?php echo esc_attr( trim( $lng ) ); ?>"
                data-data_show='<?php echo str_ireplace( [ "'" ], '\"', $data_map ); ?>'
                data-icon="<?php echo esc_url( $map_icon ); ?>"
                data-zoom="<?php echo (int) $zoom; ?>"
                data-marker-size="large"
                data-style="normal">
                <div id="st-map"></div>
            </div>
        </div>
        <?php
    }
    ?>
</div>
